Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Villa
    @villa101101

    ConnectionError at /proxy/
    HTTPConnectionPool(host='geoserver', port=8080): Max retries exceeded with url: /geoserver/pdf/create.json?access_token=c39bLGzgZ4D5a5y8lxjmIjID7UbFAM (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f3a5a32abb0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))

    Got that error when I try to print a map or layer in Geonode. Using version 3.1

    johngaldo12
    @johngaldo12

    I installed geonode 3.1 on windows, I followed all the steps mentioned in the tutorial, when I managed to launch geonode by paver start, I found that geoserver works normally but django does not launch it, and i get no error, is the problem in the pavement.py file or in my installation? after the launch of the command paver start the operation stops here : 2021-02-16 09:33:39.244:INFO:oejs.Server:main: Started @20831ms

    Have you tried uploading layers and there was no error?

    Darko Nedic
    @Darkonyks

    Hi everyone,

    I have docker installation of GeoNode with all defaults: my_geonode, my_geonode_data etc. Now I'm truing to change default password for user my_geonode in PostgreSQL and I did. Also, I have change in .env file to new password

    GEONODE_DATABASE=my_geonode
    GEONODE_DATABASE_PASSWORD="my new password"
    I'm not sure if this is an issue but after changing password geonode is not able to start:

    psql: FATAL: password authentication failed for user "my_geonode"
    my_geonode is unavailable - sleeping
    I'm not sure if this is an issue or not but I do not know where else this new password should also be placed.

    Villa
    @villa101101

    Hi everyone,

    I have docker installation of GeoNode with all defaults: my_geonode, my_geonode_data etc. Now I'm truing to change default password for user my_geonode in PostgreSQL and I did. Also, I have change in .env file to new password

    GEONODE_DATABASE=my_geonode
    GEONODE_DATABASE_PASSWORD="my new password"
    I'm not sure if this is an issue but after changing password geonode is not able to start:

    psql: FATAL: password authentication failed for user "my_geonode"
    my_geonode is unavailable - sleeping
    I'm not sure if this is an issue or not but I do not know where else this new password should also be placed.

    did you change it in the settings file?

    Darko Nedic
    @Darkonyks

    did you change it in the settings file?

    I do not find any line in settings.py where it should be changed. And why it should be changed in settings and where? I have used instructions for Basic installation and all crucial information's are placed in .env file ? At least that's what writes in instructions: https://docs.geonode.org/en/master/install/basic/index.html#second-step-deploy-geonode-on-a-production-server-e-g-https-my-geonode-geonode-org

    Pablo Zader
    @polzader
    Hello, I have got a quick question, I am running geonode/geoserver projecct using docker . How to I enable cors in geoserver? I possible?
    Alessio Fabiani
    @afabiani
    @polzader sure, you will need to tweak NGINX configuration and JAVA OPTS
    Pablo Zader
    @polzader
    @afabiani I configure nginx and tomcat but it still doesn't work. Could you help me? I am using https://hub.docker.com/r/geonode/geoserver
    Darko Nedic
    @Darkonyks

    did you change it in the settings file?
    Hi Villa,

    I have "hard coded" password on any place I find in my geonode project:

    grep -r GEONODE_GEODATABASE_PASSWORD .
    ./tasks.py:        "geonode_geodb_passwd": os.environ.get('GEONODE_GEODATABASE_PASSWORD', '1234'),
    ./tasks.py:    ctx.run("echo export GEONODE_GEODATABASE_PASSWORD=\
    ./tasks.py:    geopwd = os.getenv('GEONODE_GEODATABASE_PASSWORD', '1234')
    ./scripts/spcgeonode/.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/spcgeonode/docker-compose.yml:    - GEONODE_GEODATABASE_PASSWORD=${GEONODE_GEODATABASE_PASSWORD}
    ./scripts/spcgeonode/docker-compose.yml:    - GEODATABASE_URL=postgis://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/docker-compose.yml:      - GEODATABASE_URL=postgis://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/docker-compose.yml:      - DATABASE_URL=postgres://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/docker-compose.yml:      - GEONODE_GEODATABASE_PASSWORD=${GEONODE_GEODATABASE_PASSWORD}
    ./scripts/spcgeonode/docker-compose.yml:      - GEODATABASE_URL=postgis://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/postgis/initdb-geonode.sh:        ALTER USER $geodb with encrypted password '$GEONODE_GEODATABASE_PASSWORD';
    ./scripts/docker/env/production/db.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/docker/env/production/django.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/docker/env/development/db.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/docker/env/development/django.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./.env_dev:GEONODE_GEODATABASE_PASSWORD=geonode_data

    also in Docker images

    ./tasks.py:        "geonode_geodb_passwd": os.environ.get('GEONODE_GEODATABASE_PASSWORD', '1234'),
    ./tasks.py:    ctx.run("echo export GEONODE_GEODATABASE_PASSWORD=\
    ./tasks.py:    geopwd = os.getenv('GEONODE_GEODATABASE_PASSWORD', '1234')
    ./scripts/spcgeonode/.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/spcgeonode/docker-compose.yml:    - GEONODE_GEODATABASE_PASSWORD=${GEONODE_GEODATABASE_PASSWORD}
    ./scripts/spcgeonode/docker-compose.yml:    - GEODATABASE_URL=postgis://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/docker-compose.yml:      - GEODATABASE_URL=postgis://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/docker-compose.yml:      - DATABASE_URL=postgres://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/docker-compose.yml:      - GEONODE_GEODATABASE_PASSWORD=${GEONODE_GEODATABASE_PASSWORD}
    ./scripts/spcgeonode/docker-compose.yml:      - GEODATABASE_URL=postgis://${GEONODE_GEODATABASE_USER}:${GEONODE_GEODATABASE_PASSWORD}@postgres:5432/${GEONODE_GEODATABASE}
    ./scripts/spcgeonode/postgis/initdb-geonode.sh:        ALTER USER $geodb with encrypted password '$GEONODE_GEODATABASE_PASSWORD';
    ./scripts/docker/env/production/db.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/docker/env/production/django.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/docker/env/development/db.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./scripts/docker/env/development/django.env:GEONODE_GEODATABASE_PASSWORD=1234
    ./.env_dev:GEONODE_GEODATABASE_PASSWORD=geonode_data

    and it continue to restarting containers:

    CONTAINER ID   IMAGE                      COMMAND                  CREATED             STATUS                          PORTS                                                 NAMES
    c37c9c05f356   geonode/geonode:3.1        "/bin/sh -c 'service…"   About an hour ago   Restarting (1) 12 seconds ago                                                         django4geonode
    940b02dcda68   geonode/geonode:3.1        "/bin/sh -c 'service…"   About an hour ago   Restarting (1) 6 seconds ago
    A. Israel Lopez
    @isralopez
    Hi, I've a 3.1.x branch SPC Geonode installation via docker... but I can't upload any layer in shapefile... In the last step sends "Unexpected error!"... the logs:
    image.png
    image.png
    what I'm missing??
    A. Israel Lopez
    @isralopez
    Btw the connection geonode/geoserver is not working...
    Alessio Fabiani
    @afabiani
    which installation method you have followed?
    A. Israel Lopez
    @isralopez
    this one... https://docs.geonode.org/en/stable/install/spc/index.html using only the main services...
    on ly local machine with Ubuntu 18.04, I vahe the same problem on a VM with Ubuntu server 18.04...
    Alessio Fabiani
    @afabiani
    which GeoNode branch you used?
    3.1 or 3.x?
    A. Israel Lopez
    @isralopez
    Mmhh 3.x... yesterday I tried with 3.1 and the same...
    Darko Nedic
    @Darkonyks
    Hi, I'm having problem adding Remote Services from local Geoserver. I have Geonode 3.2.x docker installation. More about the issue GeoNode/geonode-project#171
    A. Israel Lopez
    @isralopez
    Any help with my SPC issue?? good afternoon
    Darko Nedic
    @Darkonyks
    @afabiani @villa101101 @gannebamm People I really need your help with problem with WMS services please take a look on issue GeoNode/geonode-project#171 . I have lost a days truing to make it work but I failed! Any help is most welcome !
    4 replies
    Alessio Fabiani
    @afabiani
    @Darkonyks I'm afraid you are not allowed currently to load an endpoint with an invalid certificate. HTTPS won't work with IP addresses unfortunately. But I'll try to give it a shot.
    Darko Nedic
    @Darkonyks
    @afabiani Hi Alessio, I was thinking that this is a problem, but on open issue I have shown example with IP address. I have GeoNode running on production with hostname all set up DNS etc... But also I do not have valid SSL either. Because my GN instance runs on subdomain. Domain has a valid SSL subdomain wildcard. So my next move is to import valid SSL from domain. Thanks a lot!!
    Pedro Guimarães
    @tigreped
    Hello everyone. I need some help setting the mapstore on the GeoNode to restrict the map view to allow a user to scroll only over a limited area of the globe, defined by a bounding box parameter. Any thoughts? Tks in advance.
    Florian Hoedt
    @gannebamm
    @tigreped Sorry I do not have any experienced in that regard. Maybe you should visit the Mapstore user /dev group? https://groups.google.com/g/mapstore-users ; https://groups.google.com/g/mapstore-developers
    Pedro Guimarães
    @tigreped
    Tks @gannebamm BTW is the current Geonode version of the MapStore already capable of managing Stories, Dashboards, Contexts?
    I'm still on a Geonode instance running the 3.1.0.dev version
    Villa
    @villa101101
    Screenshot 2021-03-17 at 1.48.43 PM.png

    Screenshot 2021-03-17 at 1.48.43 PM.png

    got that error when i tried a fresh installation of geonode using instructions for ubuntu 20. the command that i ran was "paver setup"

    Florian Hoedt
    @gannebamm
    @tigreped the soon stable Version will be able to save stories as geoapps. The GeoApp Model is extensible. Afaik geosolutions want to Port dasbboards to geonode, too. But when is out of my knowledge.
    Pedro Guimarães
    @tigreped
    OMG it will be so amazing. :D
    Pedro Guimarães
    @tigreped

    @tigreped Sorry I do not have any experienced in that regard. Maybe you should visit the Mapstore user /dev group? https://groups.google.com/g/mapstore-users ; https://groups.google.com/g/mapstore-developers

    This is the sort of behavior I'd like to apply to a map and all its layers: https://openlayers.org/en/latest/examples/extent-constrained.htm

    Alexandria Shreffler
    @aleshreffler

    I installed geonode 3.1 on windows, I followed all the steps mentioned in the tutorial, when I managed to launch geonode by paver start, I found that geoserver works normally but django does not launch it, and i get no error, is the problem in the pavement.py file or in my installation? after the launch of the command paver start the operation stops here : 2021-02-16 09:33:39.244:INFO:oejs.Server:main: Started @20831ms

    I am having a similar problem and uploading layers does not work for me. Some django function (prepare_database_save in base.py) is called for an object of the class SpatialRepresentationType before the layer is actually created in GeoServer. Creating maps and uploading other documents seems to work, so looks like the issue is specific for spatial layers, not a general database problem.

    Darko Nedic
    @Darkonyks
    Hi everyone, does anyone now how to update Layer Groups in Django container. I have no problem updating layer with command python manage.py updatelayers but how to update Layer groups? I did not find anything related in documentation. Thanx in advance.
    Pedro Guimarães
    @tigreped
    I was curious if maybe I could somehow force a fixed bounding box, for instance, in the maps/views.py that would apply to all the maps in the application, maybe it could reflect on a restricting map area... Anyone knows about this part of the code?
    Villa
    @villa101101
    whats the best way to update the list of allowed host for geonode, tried updating the it in the .env file but that did not work.
    Pedro Guimarães
    @tigreped
    Did you restart the django process after updating the list @villa101101 ?
    Villa
    @villa101101
    with the use of paver? yes
    Villa
    @villa101101
    Screenshot 2021-04-16 at 4.42.56 PM.png
    Has anyone managed to solve this issue on geonode? The issue causes the print map feature not to work.
    geotube
    @indeOWS
    Hi Developers
    I am running <pip install -r requirements.txt --upgrade --no-cache --no-cache-dir> while installing geonode-project@3.1.x and Running command git clone -q takes forever. Is this a normal behavior?
    geotube
    @indeOWS
    I am not sure if makes any sense, but I copied GeoNode_Core@3.1.X requirements.txt to GeoNode_Project@3.1.X base directory and installed all python venv required packages.
    geotube
    @indeOWS
    Hi developers, I just installed a new GeoNode-Project@3.2.X DevMode (Installed via Python env) instance and I am facing the following error while uploading a shapefile :
    Unexpected error! - Unknwon Error Code. Contact the system administrator for more information regarding this error message. Additional info: [Client Error: Bad Request
    [Errno 2] No such file or directory: '/home/geonode/.virtualenvs/my_geonode/src/geonode/geonode/static_root/tmpev_awad6']
    Alessio Fabiani
    @afabiani
    @indeOWS please run collectstatic mgmt command
    geotube
    @indeOWS
    @afabiani, Thank you very much. Collectstatic solved the problem.
    geotube
    @indeOWS
    Hi developers and users, I just installed a GeoNode-Project@2.3.x instance via Docker according to the guide in https://docs.geonode.org/en/master/install/basic/index.html. While uploading a shapefile, I am facing the following error message:
    Unexpected error! - Unknwon Error Code. Contact the system administrator for more information regarding this error message.
    Looking at django logs, I could not find any error report. Any help will be very appreciated
    geotube
    @indeOWS
    Regarding shapefile layer upload, nginx logs do not show any error, but it remains Unexpected error! - Unknwon Error Code. Contact the system administrator for more information regarding this error message
    geotube
    @indeOWS

    @indeOWS
    Hi all, I also ran geonode-project@3.1.x docker installation, while uploading a shapefile I am facing the following issue:
    Unexpected error! - error Error Code. Contact the system administrator for more information regarding this error message.
    Running python manage.py collectstatic did not solve the problem. It is actually showing another issue:
    Traceback (most recent call last):
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 204, in fetch_command
    app_name = commands[subcommand]
    KeyError: 'collectstatic'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/opt/geonode_custom/my_geonode/my_geonode/settings.py", line 33, in <module>
    from my_geonode.local_settings import *
    ModuleNotFoundError: No module named 'my_geonode.local_settings'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "manage.py", line 31, in <module>
    execute_from_command_line(sys.argv)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 381, in execute_from_command_line
    utility.execute()
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 375, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/core/management/init.py", line 211, in fetch_command
    settings.INSTALLED_APPS
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/conf/init.py", line 79, in getattr
    self._setup(name)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/conf/init.py", line 66, in _setup
    self._wrapped = Settings(settings_module)
    File "/home/geonode/.virtualenvs/my_geonode/lib/python3.8/site-packages/django/conf/init.py", line 157, in init
    mod = importlib.import_module(self.SETTINGS_MODULE)
    File "/usr/lib/python3.8/importlib/init.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
    File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
    File "<frozen importlib._bootstrap>", line 991, in _find_and_load
    File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
    File "<frozen importlib._bootstrap_external>", line 783, in exec_module
    File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
    File "/opt/geonode_custom/my_geonode/my_geonode/settings.py", line 36, in <module>
    from geonode.settings import *
    ModuleNotFoundError: No module named 'geonode'